<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: operations.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Доступный для вывода остаток.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.WithdrawLimitsResponse</code>
 */
class WithdrawLimitsResponse extends \Google\Protobuf\Internal\Message
{
    /**
     *Массив валютных позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue money = 1;</code>
     */
    private $money;
    /**
     *Массив заблокированных валютных позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue blocked = 2;</code>
     */
    private $blocked;
    /**
     *Заблокировано под гарантийное обеспечение фьючерсов
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue blocked_guarantee = 3;</code>
     */
    private $blocked_guarantee;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type \Tinkoff\Invest\V1\MoneyValue[]|\Google\Protobuf\Internal\RepeatedField $money
     *          Массив валютных позиций портфеля
     *     @type \Tinkoff\Invest\V1\MoneyValue[]|\Google\Protobuf\Internal\RepeatedField $blocked
     *          Массив заблокированных валютных позиций портфеля
     *     @type \Tinkoff\Invest\V1\MoneyValue[]|\Google\Protobuf\Internal\RepeatedField $blocked_guarantee
     *          Заблокировано под гарантийное обеспечение фьючерсов
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Operations::initOnce();
        parent::__construct($data);
    }

    /**
     *Массив валютных позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue money = 1;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getMoney()
    {
        return $this->money;
    }

    /**
     *Массив валютных позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue money = 1;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setMoney($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->money = $arr;

        return $this;
    }

    /**
     *Массив заблокированных валютных позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue blocked = 2;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getBlocked()
    {
        return $this->blocked;
    }

    /**
     *Массив заблокированных валютных позиций портфеля
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue blocked = 2;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setBlocked($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->blocked = $arr;

        return $this;
    }

    /**
     *Заблокировано под гарантийное обеспечение фьючерсов
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue blocked_guarantee = 3;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getBlockedGuarantee()
    {
        return $this->blocked_guarantee;
    }

    /**
     *Заблокировано под гарантийное обеспечение фьючерсов
     *
     * Generated from protobuf field <code>repeated .tinkoff.public.invest.api.contract.v1.MoneyValue blocked_guarantee = 3;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue[]|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setBlockedGuarantee($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->blocked_guarantee = $arr;

        return $this;
    }

}

